<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoWhatsappUsersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_whatsapp_users
         */
        Schema::create('bixo_whatsapp_users', function ($table) {
            $table->increments('id');
            $table->integer('reporting_to')->nullable();
            $table->integer('team_id')->nullable();
            $table->integer('listing_team_id')->nullable();
            $table->integer('deal_team_id')->nullable();
            $table->string('name', 100)->nullable();
            $table->string('email', 100)->nullable();
            $table->string('password', 100)->nullable();
            $table->string('api_token', 60)->nullable();
            $table->integer('avaya_code')->nullable();
            $table->dateTime('avaya_updated')->nullable();
            $table->tinyInteger('avaya_active')->nullable();
            $table->string('remember_token', 255)->nullable();
            $table->enum('sex', ['Yes', 'No'])->nullable();
            $table->date('dob')->nullable();
            $table->string('designation', 50)->nullable();
            $table->text('description')->nullable();
            $table->string('mobile', 100)->nullable();
            $table->string('phone', 100)->nullable();
            $table->string('address', 255)->nullable();
            $table->string('street', 100)->nullable();
            $table->string('city', 100)->nullable();
            $table->string('district', 100)->nullable();
            $table->string('state', 100)->nullable();
            $table->integer('country')->nullable();
            $table->string('photo', 500)->nullable();
            $table->string('web', 100)->nullable();
            $table->text('property_type')->nullable();
            $table->text('lead_type')->nullable();
            $table->integer('emirate_id')->nullable();
            $table->text('location_type')->nullable();
            $table->longText('permissions')->nullable();
            $table->enum('status', ['Yes', 'No'])->nullable();
            $table->dateTime('email_verified_at')->nullable();
            $table->string('division', 100)->nullable();
            $table->string('crm_name', 100)->nullable();
            $table->string('rera_brn', 100)->nullable();
            $table->string('languages', 255)->nullable();
            $table->dateTime('join_date')->nullable();
            $table->dateTime('photo_assigned_at')->nullable();
            $table->integer('listing')->nullable();
            $table->integer('deal')->nullable();
            $table->integer('lead')->nullable();
            $table->string('type', 100)->nullable();
            $table->integer('opportunity')->nullable();
            $table->tinyInteger('lead_pool')->nullable();
            $table->integer('lead_pool_count')->nullable();
            $table->integer('lead_count')->nullable();
            $table->enum('lead_contact', ['Yes', 'No'])->nullable();
            $table->integer('lead_priority')->nullable();
            $table->string('bank', 255)->nullable();
            $table->string('branch', 255)->nullable();
            $table->string('ifsc_code', 255)->nullable();
            $table->string('transfer_code', 255)->nullable();
            $table->string('account_number', 255)->nullable();
            $table->decimal('call_answer_rate', 8,2)->nullable();
            $table->integer('sale_target')->nullable();
            $table->integer('rent_target')->nullable();
            $table->integer('commercial_target')->nullable();
            $table->enum('agent_type', ['Yes', 'No'])->nullable();
            $table->integer('call_target')->nullable();
            $table->integer('listing_target')->nullable();
            $table->integer('viewing_target')->nullable();
            $table->integer('offer_target')->nullable();
            $table->integer('deal_target')->nullable();
            $table->string('hold_counts', 100)->nullable();
            $table->string('location_id', 300)->nullable();
            $table->string('expiry_at', 30)->nullable();
            $table->string('color', 10)->nullable();
            $table->text('timings')->nullable();
            $table->integer('user_id')->nullable();
            $table->enum('user_type', ['Yes', 'No'])->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->tinyInteger('migrated')->nullable();
            $table->decimal('leadpool_amount', 12,2)->nullable();
            $table->integer('leaderboard')->nullable();
            $table->tinyInteger('enable_otp')->nullable();
            $table->text('user_roles_h')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_whatsapp_users');
    }
}
