<?php

namespace Bixo\Whatsapp\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class ChatTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_whatsapp_chats')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.whatsapp.chat.view',
                'name'      => 'View Chat',
            ],
            [
                'slug'      => 'bixo.whatsapp.chat.create',
                'name'      => 'Create Chat',
            ],
            [
                'slug'      => 'bixo.whatsapp.chat.edit',
                'name'      => 'Update Chat',
            ],
            [
                'slug'      => 'bixo.whatsapp.chat.delete',
                'name'      => 'Delete Chat',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/whatsapp/chat',
                'name'        => 'Chat',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/whatsapp/chat',
                'name'        => 'Chat',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'chat',
                'name'        => 'Chat',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Whatsapp',
                'module'    => 'Chat',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.whatsapp.chat.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
