<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for user in whatsapp package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  user module in whatsapp package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'User',
    'names' => 'Users',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Users',
        'sub' => 'Users'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'sex' => 
            [
                                
                [
                    'key'    => '',
                    'value'  => '',
                    'text'   => '',
                ],
                                
                [
                    'key'    => 'Male',
                    'value'  => 'Male',
                    'text'   => 'Male',
                ],
                                
                [
                    'key'    => 'Female',
                    'value'  => 'Female',
                    'text'   => 'Female',
                ],
                                
            ],

        'status' => 
            [
                                
                [
                    'key'    => 'New',
                    'value'  => 'New',
                    'text'   => 'New',
                ],
                                
                [
                    'key'    => 'Active',
                    'value'  => 'Active',
                    'text'   => 'Active',
                ],
                                
                [
                    'key'    => 'Suspended',
                    'value'  => 'Suspended',
                    'text'   => 'Suspended',
                ],
                                
                [
                    'key'    => 'Locked',
                    'value'  => 'Locked',
                    'text'   => 'Locked',
                ],
                                
            ],

        'lead_contact' => 
            [
                                
                [
                    'key'    => 'Yes',
                    'value'  => 'Yes',
                    'text'   => 'Yes',
                ],
                                
                [
                    'key'    => 'No',
                    'value'  => 'No',
                    'text'   => 'No',
                ],
                                
                [
                    'key'    => '',
                    'value'  => '',
                    'text'   => '',
                ],
                                
            ],

        'agent_type' => 
            [
                                
                [
                    'key'    => 'Sales',
                    'value'  => 'Sales',
                    'text'   => 'Sales',
                ],
                                
                [
                    'key'    => 'Rental',
                    'value'  => 'Rental',
                    'text'   => 'Rental',
                ],
                                
                [
                    'key'    => 'Commercial',
                    'value'  => 'Commercial',
                    'text'   => 'Commercial',
                ],
                                
                [
                    'key'    => '',
                    'value'  => '',
                    'text'   => '',
                ],
                                
            ],

        'user_type' => 
            [
                                
                [
                    'key'    => 'Admin',
                    'value'  => 'Admin',
                    'text'   => 'Admin',
                ],
                                
                [
                    'key'    => 'Agent',
                    'value'  => 'Agent',
                    'text'   => 'Agent',
                ],
                                
                [
                    'key'    => 'Leads',
                    'value'  => 'Leads',
                    'text'   => 'Leads',
                ],
                                
                [
                    'key'    => 'Photographer',
                    'value'  => 'Photographer',
                    'text'   => 'Photographer',
                ],
                                
                [
                    'key'    => 'Manager',
                    'value'  => 'Manager',
                    'text'   => 'Manager',
                ],
                                
                [
                    'key'    => '',
                    'value'  => '',
                    'text'   => '',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'reporting_to'               => 'Please enter reporting to',
        'team_id'                    => 'Please enter team id',
        'listing_team_id'            => 'Please enter listing team id',
        'deal_team_id'               => 'Please enter deal team id',
        'name'                       => 'Please enter name',
        'email'                      => 'Please enter email',
        'password'                   => 'Please enter password',
        'api_token'                  => 'Please enter api token',
        'avaya_code'                 => 'Please enter avaya code',
        'avaya_updated'              => 'Please select avaya updated',
        'avaya_active'               => 'Please enter avaya active',
        'remember_token'             => 'Please enter remember token',
        'sex'                        => 'Please select sex',
        'dob'                        => 'Please select dob',
        'designation'                => 'Please enter designation',
        'description'                => 'Please enter description',
        'mobile'                     => 'Please enter mobile',
        'phone'                      => 'Please enter phone',
        'address'                    => 'Please enter address',
        'street'                     => 'Please enter street',
        'city'                       => 'Please enter city',
        'district'                   => 'Please enter district',
        'state'                      => 'Please enter state',
        'country'                    => 'Please enter country',
        'photo'                      => 'Please enter photo',
        'web'                        => 'Please enter web',
        'property_type'              => 'Please enter property type',
        'lead_type'                  => 'Please enter lead type',
        'emirate_id'                 => 'Please enter emirate id',
        'location_type'              => 'Please enter location type',
        'permissions'                => 'Please enter permissions',
        'status'                     => 'Please select status',
        'email_verified_at'          => 'Please select email verified at',
        'division'                   => 'Please enter division',
        'crm_name'                   => 'Please enter crm name',
        'rera_brn'                   => 'Please enter rera brn',
        'languages'                  => 'Please enter languages',
        'join_date'                  => 'Please select join date',
        'photo_assigned_at'          => 'Please select photo assigned at',
        'listing'                    => 'Please enter listing',
        'deal'                       => 'Please enter deal',
        'lead'                       => 'Please enter lead',
        'type'                       => 'Please enter type',
        'opportunity'                => 'Please enter opportunity',
        'lead_pool'                  => 'Please enter lead pool',
        'lead_pool_count'            => 'Please enter lead pool count',
        'lead_count'                 => 'Please enter lead count',
        'lead_contact'               => 'Please select lead contact',
        'lead_priority'              => 'Please enter lead priority',
        'bank'                       => 'Please enter bank',
        'branch'                     => 'Please enter branch',
        'ifsc_code'                  => 'Please enter ifsc code',
        'transfer_code'              => 'Please enter transfer code',
        'account_number'             => 'Please enter account number',
        'call_answer_rate'           => 'Please enter call answer rate',
        'sale_target'                => 'Please enter sale target',
        'rent_target'                => 'Please enter rent target',
        'commercial_target'          => 'Please enter commercial target',
        'agent_type'                 => 'Please select agent type',
        'call_target'                => 'Please enter call target',
        'listing_target'             => 'Please enter listing target',
        'viewing_target'             => 'Please enter viewing target',
        'offer_target'               => 'Please enter offer target',
        'deal_target'                => 'Please enter deal target',
        'hold_counts'                => 'Please enter hold counts',
        'location_id'                => 'Please enter location id',
        'expiry_at'                  => 'Please enter expiry at',
        'color'                      => 'Please enter color',
        'timings'                    => 'Please enter timings',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please select user type',
        'upload_folder'              => 'Please enter upload folder',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'migrated'                   => 'Please enter migrated',
        'leadpool_amount'            => 'Please enter leadpool amount',
        'leaderboard'                => 'Please enter leaderboard',
        'enable_otp'                 => 'Please enter enable otp',
        'user_roles_h'               => 'Please enter user roles h',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'reporting_to'               => 'Reporting to',
        'team_id'                    => 'Team id',
        'listing_team_id'            => 'Listing team id',
        'deal_team_id'               => 'Deal team id',
        'name'                       => 'Name',
        'email'                      => 'Email',
        'password'                   => 'Password',
        'api_token'                  => 'Api token',
        'avaya_code'                 => 'Avaya code',
        'avaya_updated'              => 'Avaya updated',
        'avaya_active'               => 'Avaya active',
        'remember_token'             => 'Remember token',
        'sex'                        => 'Sex',
        'dob'                        => 'Dob',
        'designation'                => 'Designation',
        'description'                => 'Description',
        'mobile'                     => 'Mobile',
        'phone'                      => 'Phone',
        'address'                    => 'Address',
        'street'                     => 'Street',
        'city'                       => 'City',
        'district'                   => 'District',
        'state'                      => 'State',
        'country'                    => 'Country',
        'photo'                      => 'Photo',
        'web'                        => 'Web',
        'property_type'              => 'Property type',
        'lead_type'                  => 'Lead type',
        'emirate_id'                 => 'Emirate id',
        'location_type'              => 'Location type',
        'permissions'                => 'Permissions',
        'status'                     => 'Status',
        'email_verified_at'          => 'Email verified at',
        'division'                   => 'Division',
        'crm_name'                   => 'Crm name',
        'rera_brn'                   => 'Rera brn',
        'languages'                  => 'Languages',
        'join_date'                  => 'Join date',
        'photo_assigned_at'          => 'Photo assigned at',
        'listing'                    => 'Listing',
        'deal'                       => 'Deal',
        'lead'                       => 'Lead',
        'type'                       => 'Type',
        'opportunity'                => 'Opportunity',
        'lead_pool'                  => 'Lead pool',
        'lead_pool_count'            => 'Lead pool count',
        'lead_count'                 => 'Lead count',
        'lead_contact'               => 'Lead contact',
        'lead_priority'              => 'Lead priority',
        'bank'                       => 'Bank',
        'branch'                     => 'Branch',
        'ifsc_code'                  => 'Ifsc code',
        'transfer_code'              => 'Transfer code',
        'account_number'             => 'Account number',
        'call_answer_rate'           => 'Call answer rate',
        'sale_target'                => 'Sale target',
        'rent_target'                => 'Rent target',
        'commercial_target'          => 'Commercial target',
        'agent_type'                 => 'Agent type',
        'call_target'                => 'Call target',
        'listing_target'             => 'Listing target',
        'viewing_target'             => 'Viewing target',
        'offer_target'               => 'Offer target',
        'deal_target'                => 'Deal target',
        'hold_counts'                => 'Hold counts',
        'location_id'                => 'Location id',
        'expiry_at'                  => 'Expiry at',
        'color'                      => 'Color',
        'timings'                    => 'Timings',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'upload_folder'              => 'Upload folder',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'migrated'                   => 'Migrated',
        'leadpool_amount'            => 'Leadpool amount',
        'leaderboard'                => 'Leaderboard',
        'enable_otp'                 => 'Enable otp',
        'user_roles_h'               => 'User roles h',
    ],

    
    ];
