<?php

namespace Bixo\Whatsapp\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind User policy
        \Bixo\Whatsapp\Models\User::class 
        => \Bixo\Whatsapp\Policies\UserPolicy::class,// Bind Chat policy
        \Bixo\Whatsapp\Models\Chat::class 
        => \Bixo\Whatsapp\Policies\ChatPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
